0.55:
- Revert the requirement of 5.8.8. Now require 5.8
- Add PERLBREW_CPAN_MIRROR environment variable
- Deal with a minor local::lib path problem. See GH #254.

0.54: # 2012-10-24T21:21:25+0200
- Now requires perl 5.8.8
- Fix an issue with list-module command listing extra modules See GH #245
- Tweak default Configure options for pre-5.6 versions
- Fix an issue with warning messagse in 'upgrade-perl' command.

0.53: # 2012-10-14T17:41:17+0200
- New command: `info`.
- requires CPAN::Perl::Releases 0.76 for 5.14.3 info.
- Skip "." in @INC to deal with a `list-module` issue. GH #245.
- Environment variable cleanups and minor bashrc rewrite.

0.52: # 2012-10-04T21:30:40+0200
- userelocatableinc is no longer default. Meanwhile PERLBREW_CONFIGURE_FLAGS can still be used.
- Fix GH #197 again. Also make sure perlbrew-unrelated PERL5LIB values are preserved.
- Fix an issue that MANPATH contains unwanted values even after switch/use/off.

0.51: # 2012-09-29T09:17:14+0200
- Fix a start-up warning message from bashrc when perlbrew is not active
- Fix a breakage on CentOS due to the use of `manpath` command.

0.50: # 2012-09-01T11:25:41+0200
- properly remove perlbrew-related PERL5LIB entries. GH #197
- minor documentation tweak.

0.49: # 2012-08-25T22:32:22+0200
- Fix the build for perl-5.12 and 5.14 -- userelocatableinc are not working properly. https://github.com/gugod/App-perlbrew/issues/232

0.48: # 2012-08-24T07:07:52+0200
- The build log output "build.log" is now named after the installation name for eaiser reference.
- Fix the invokation configure command to actually contains -Duserelocatableinc
- Experimental: bash/zsh users may put this to shell init instead: eval "$(~/perl5/perlbrew/bin/perlbrew init -)"
- A few output message updates

0.47: # 2012-08-23T07:59:53+0200
- New command: download.
- New env var: PERLBREW_CONFIGURE_FLAGS
- userelocatableinc is enabled by default when the installing perl version is greater than or equals to 5.8.9. It should make some use cases eaiser. In particular, you can move PERLBREW_ROOT directory to another place.
- fix https://github.com/gugod/App-perlbrew/issues/216 for bash users and zsh users

0.46:
- fix: The deprecation warning when running `self-upgrde`
- fix: system MANPATH detection 
- improvement: Specifying multiple perl: `exec --with perl-5.14.2,perl-5.16.0`

0.45:
- New command: install-ack . This install the standalone version of ack under $PERLBREW_ROOT/bin
- New command: list-modules
- `exec` command now also iterates thourgh all the libs
- Documented the `--with` argument of exec command. See `perlbrew help exec`

0.44:
- Notice: "self-install" command now alters the shebang to use system perl
- Notice: "install-patchperl" command now alters the shebang to use system perl.
- some documentation tweaks
- fix: `perlbrew use` to/from a lib has not been working properly.

0.43:
- cpantester-error fixes
- csh support. Big thanks to matzsoft.
- support 'fetch' command on FreeBSD.
- Fix a bug that perlbrew failed to resolve version number when dist path contain "perl5"

0.42:
- Improvement: die when running perlbrew (use|switch) with unknown installation name.
- clean 'build.log' on install. ref: RT #69168.

0.41:
- Fix installation issue when the specified version is not listed in CPAN::Perl::Releases
- Fix sub-shell invocation for 'switch' and 'use' command. This is particularly for csh users, but it should also work for bash users.

0.40:
- Make the stanalone perlbrew program smaller by using Perl::Strip
- use CPAN::Perl::Releases to decide the location of perl tarball -- less HTTP hits
- Prefer $PERLBREW_ROOT/bin/patchperl if it is there.

0.39:
- Fix GH #179. lib naming are more consistent.
- Fix GH #171. bash users are suggestted to upgrad to this version.
- Fix GH #152.

0.38:
- fix deps

0.37:
- fix ENV mess after switching to diffirent libs multiple times
- add --sitecustomize option

0.36:
- fix test errors on freebsd that makes it uninstallable

0.35:
- fixes for cpantester failures
- requiers local::lib version 1.008

0.34:
- Fix: remove duplicated items from the output of `perlbrew list`.
- New Command: self-install.
  - This is actually renamed from an undocumented command `install-perlbrew`
  - Plus it gets documented.
- Provide aditional bash completion control helper commands.
- Documentation fixes / typo corrections.
- alter MANPATHs, see GH #173
- Allow the representation like '@lib' te mean "a lib name under current perl.". See GH #153

0.33:
- Remove Text::Levenshtein from the standalone executable.
- Rearrange documentation so all perlbrew command usage document can be found in `perldoc perlbrew`
  - In the future, App::perlbrew POD should only contain the API doc for the module.

0.32:
- A hotfix release: local::lib was not bundled in the previous release.

0.31:
- NOTICE: Remove $PERLBREW_ROOT/Conf.pm if it's there, and re-run `perlbrew mirror`
- perlbrew help system is changing. `perlbrew help <command>` now displays brief documentation for the command.
- Add a global `--root` argument for all commands that can be used as a quick alternative to set PERLBREW_ROOT env var.
- Avoid display paths to external/system perl in the output of `perlbrew list`
- Replace Text::Levenshtein with a minimal implementation -- the standalone executable get to be smaller.

0.30:
- New command: lib
  - local::lib integration is done with this command.
- New command: install-patchperl
- skip runs of 'exec' on aliases https://github.com/gugod/App-perlbrew/pull/135
- Respect -f flag when installing to replace an already installed perl.
- Redefine the default value of -q flag to be false, and define it's meaning to be "complete silent"

0.29:
- The installer now honors $TMPDIR (RT #70850)
- Fixd GH #108. `perlbrew use` has a fallback for users that does not use bash/csh -compitable shell.
- Deprecate the command 'perlbrew use system' simply use 'perlbrew off' or 'perlbrew switch-off' instead.
- Deprecate the special case of `perlbrew use /path/to/bin/perl` and `perlbrew switch /path/to/bin/perl
  - perlbrew no longer cast magic to external perls. But there will be an alternative.

0.28:
- fixes for cpantester
- Fix 'switch' and 'use' for bash users, by Woody2143++
- The standalone `perlbrew` file is now packed with fatpacker, by running `dev-bin/build.sh`. `perl Makefile.PL` does no trigger a re-build anymore.
- Update the installer to grab patchperl 0.46

0.27:
- Hotfix for `perlbrew install` command

0.26:
- Fix GH #119 
- Fix t/08.exit_status.t for cpantesters
- Fix several bugs in `exec` command
- Implement GH #103 - install -v shows build.log
- Add -Dusedevel when installing blead perl

0.25:
- suggest when user types wrong commands. hoelzro++
- Improvements about self-upgrade by hoelzro++
- exit with non-zero status code when there's some sort of error. by punytan++
- Added verification of existing alias before attempting unalias. johncm++
- Fix `install-cpanm` for due to a recenet github cert update. kanetann++

0.24:
- Done GH #92 -- Show error messages on network errors.
- Fix GH #82 -- deduplicate items in PATH for the `list` command.
- Tests for various commands and methods.

0.23:
- dependency fixes
- Fix auto-detection of curl
- Support OpenBSD pdksh. The provided bashrc should be compatible with pdksh.
- Small improvement of 'exec' command. `perlbrew exec perl -v` now works.

0.22:
- Fix ccache support on Linux with bash.. GH #87.
- `install` command no longer clobbers existing installations.
- New commands: uninstall, alias, self-upgrade
- See more on http://perlbrew.pl/Release-0.22.html

0.21:
- oylenshpeegul++ Let version numbers alone mean installation names. For example, 5.12.3 means perl-5.12.3
- audreyt++ fixed `perlbrew install <URL>` that might installs to a wrong path.
- Fix RT #68241
- Improve `perlbrew list` command output
- Improve `perlbrew install` command. Now it takes a local .tar.gz filename
- See more detail in http://perlbrew.pl/Release-0.21.html

0.20:
- For more detail release note, see https://github.com/gugod/App-perlbrew/wiki/Relesae-0.20
- doherty++ FIX: stop when user specified an invalid perl version that cannot be found on cpan.
- doherty++ specialized version installation: perlbrew install perl-blead / <URL>
- am0c++ FIX: `perlbrew intsall /path/to/git/src/dir`

0.19:
- Auto run 'perlbrew init' after an install (or upgrade)
- Symlink dev versions of executables. For example,'perl5.13.11' to 'perl', 'prove5.13.11' to 'prove'.
- Automatically apply patches necessary to make older perls build again on
  modern platforms with the help of Devel::PatchPerl.
- A command "perlbrew available" to list recently available perls to build by trcjr

0.18:
- Spotted and fixed by chad.a.davis++, an issue when bash set "noclobber" option,
  which breaks the creation of ~/.perlbrew/init. See https://rt.cpan.org/Ticket/Display.html?id=66518
- A simple `perlbrew clean` command to clean build dir.
- delegate `-j` arg value to `make test_harness`. by dagolden++
- $HOME is replaced with "~" in many messages. https://rt.cpan.org/Ticket/Display.html?id=57668

0.17:
- UPDATE NOTES: you need to init, off and switch back to the version you want;
- Fix "perlbrew use" to work even if we are switched to a specific version
- Fix "perlbrew env" to use current version, sets PERLBREW_PERL and proper PATH
- Feature: "perlbrew use" shows current version in use
- Feature: "perlbrew switch /path/to/special/perl name-of-special-perl" names for adhoc perl's
- 'perlbrew exec' now excludes those non-brewed perl by frankcuny++ according to the discussion here: https://github.com/gugod/App-perlbrew/pull/43

0.16:
- Use 'test_harness' for perl >= 5.7.3. avar++
- Use gtar on Solaris - RT #61042. doherty++
- Fix "perlbrew -f switch" by dalinaum++

0.15:
- DEPRECATE and REMOVE 'perlbrew installed' command.
- Intrudoce a 'perlbrew exec' command
- 'perlbrew use system' can be used to locally turn off perlbrew. yibe++

0.14:
- DEPRECATE `get_current_perl` function. Use `current_perl` instead
- Show versions of non-perlbrew perls in the output of `perlbrew list`. Thanks to trcjr++
- bashrc fixes from yibe++
- Let help, -h and --help do the same thing -- showing full pod.

0.13:
- 'installed' command is renamed to 'list', and will be deprecated soon.
- Requires curl or wget from now -- to fetch https URLs. polettix++

0.12:
- Fix: missing init file generation.

0.11:
- Avoid warning messages. Thanks Anno Siegel for the bug report and patch.
- `-A` arguments are passed thru, thanks to gfx++.
- Unbreak tests for older perls with older Test::Simple. Thanks to zaphod42++
- Better bash Integration, no more 'hash -r'
- New command for bash and zsh: 'perlbrew use'
- Deprecating 'installed'. use 'list' instead.

0.10:
- Use File::Path::Tiny to avoid the api incompatibility of File::Path.
- yanick++ and castaway++ fixes docmentation
- gfx++ made it accept -Dopt style flags as Perl Configurate does.
- (Danijel Tasov)++ added '-n' option -- no test!
- xsawyerx++ fixes RT #57672, #60123, and GH #9
- Fixes #59729

0.09:
- Use the proxy set in $ENV{http_proxy} if available.
- Bypasses '-U' option to to configure. Thanks to chromatic++

0.08:
- Conf file + CPAN mirror support
- Strip invalid dependency lines out of the makefile in older perl versions, to make them work with newer gcc versions
- Add rudimentary pure-perl introspection, jrockway++
- Documentation, castaway++

0.07:
- Document about PERLBREW_ROOT and the issue installing it with CPAN.
- Handle an edge case whn the tarball is not found on the http server. Thanks to sekimura++
- Improves 'switch' and 'off' command message. Thanks to Justin Davis.
- PERL5OPT PERL5LIB are removed while configuring and testing a new perl. Thanks to Andrew Rodland.
- fix a expression precedence bug. Thanks to Jesse Luehrs.

0.06:
- Fix -as option. Thanks to doy++ and jasonmay++

0.05:
- Now it brews from git. jasonmay++
- Fix the uses of mkpath on various versions of perls.
- Support the building of 5.13, and future developement versions

0.04:
- Use File::Path::mkpath instead of make_path to make in runnable with older versions of Perl
- a few document typo fixes.

0.03:
- Fixed a bug that switch fail after 'off'

0.02:
- Officially prepare a standalone program for quick download.
- license changed to "Same as Perl" due to the fact HTTP::Lite is included
- The 'installed' command now also lists all the 'perl' found in your PATH
- The 'switch' command can take an executable like /usr/bin/perl
- Various program options by Chris Prather
- Fixes from Tatsuhiko Miyagawa

0.01:
- First release. Installs perl-5.11.[12345] on my mac.